Bug 67557 - kernel-2.4.18-5, nfs/kmail(imap)/other? wierdness...
Summary: kernel-2.4.18-5, nfs/kmail(imap)/other? wierdness...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-27 14:34 UTC by Rex Dieter
Modified: 2007-04-18 16:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-12 18:52:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2002-06-27 14:34:00 UTC
First off, I apologize in advance for not being able to provide too many   
concrete details.  This seems to be a wierd one.   
   
I'm TRYING to use kmail (version 3.0.1-1 built from rawhide sources), and it  
had been working great, until I upgraded to kernel-2.4.18-5.  Also, fyi, my  
home directory is NFS mounted from a Redhat 6.2 server (kernel-2.2.19-6.2.16).  
Anyway, after the kernel upgrade to 2.4.18-5 on the nfs client, most imap 
(imap server is the same rh62 box reference above) operations involving 
moving/deleting messages to/from folders fail mysteriously.  
 
A typical example:  I delete a message from my inbox (and it disappears 
(initially), as it should)... I then switch to a different imap folder.  When 
I come back to inbox, the deleted message reappears. 
 
I downgrade back to kernel-2.4.18-4, and this problem goes away.

Comment 1 Rex Dieter 2002-07-01 13:13:16 UTC
I suspect that this has something to do with it (from kernel-2.4.18-5's 
changelog): 
* Mon May 13 2002 Michael K. Johnson <johnsonm@redhat.com> 
- add the dnotify notification cancelling patch 
since the version of kde packages I'm using has fam support. 


Comment 2 Arjan van de Ven 2002-07-03 11:38:47 UTC
The dnotify patch was a strict bugfix (use-after-free of the internal data)

Comment 3 Rex Dieter 2002-08-07 16:57:34 UTC
FYI, haven't seen the problem in a *long* while... some   
combination of my using kde-3.0.2 and/or kernel-2.4.18-7 (see #67199 and 
#67461) probably fixed it.

Comment 4 Rex Dieter 2003-02-12 18:52:04 UTC
With recent kernels, haven't seen the problem.  Closing... 


Note You need to log in before you can comment on or make changes to this bug.